package com.bonus.canteen.core.pay.common.vo;


import com.bonus.canteen.core.customer.vo.CustPayVO;

/** @deprecated */
@Deprecated
public class PayChannelSelectOldVO {
   private Integer payType;
   private Integer payChannel;
   private String couponId;
   private CustPayVO custPayVO;

   public static PayChannelSelectOldVO of(PayChannelSelectDTO dto) {
      PayChannelSelectOldVO vo = new PayChannelSelectOldVO();
      vo.setCouponId(dto.getCouponNum());
      return vo;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public String getCouponId() {
      return this.couponId;
   }

   public CustPayVO getCustPayVO() {
      return this.custPayVO;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setCouponId(final String couponId) {
      this.couponId = couponId;
   }

   public void setCustPayVO(final CustPayVO custPayVO) {
      this.custPayVO = custPayVO;
   }
}
